Subject: [Guix Info][7.1.4] Should remind user to do "guix pull"

From: Eus <[email-masked]>
Date: Fri, 01 Jul 2016 12:33:54 +0700

Hi guys!

I downloaded Guix for USB disk from the Guix download page.

Then, when I did "guix system init /mnt/etc/config.scm /mnt" following the Guix info available at Alt+F2, I got an error suggesting me to use "--fallback" option.

I did that and my machine started to build sources. Then, I hit some error when building webkitgtk-2.12.0 and went to the Guix IRC channel. There two users told me that I should do "guix pull" first so that I do not have to build from source.

So, I think it is best to mention about "guix pull" in the Guix info page section 7.1.4.

BTW, I am capable of making patches. So, if you'd like me to make a patch, just tell me the source tree to make a diff against.

--
Best regards,
Eus (FSF member #4445)

In this digital era, where computing technology is pervasive, your freedom depends on the software controlling those computing devices.

Join free software movement today! It is free as in freedom, not as in free beer!

Join: http://www.fsf.org/jf?referrer=4445